सामग्री पर जाएँ

Post Processing Sharpen

इंटीग्रेट करें

मॉडल id post-processing/sharpen
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/post-processing/sharpen?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.001 1 API क्रेडिट · ≈ ₽0.11 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Utility इमेज एडिटिंग #stylized#transform

बेसिक अनशार्प मास्क, स्मार्ट एज-प्रिज़र्विंग या कॉन्ट्रास्ट अडैप्टिव (CAS) मोड से इमेज को शार्प करता है

Utility · इमेज

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

प्रोसेसिंग के लिए इमेज URL।

उन्नत sharpen_mode · sharpen_radius · sharpen_alpha · noise_radius · preserve_edges · smart_sharpen_strength · smart_sharpen_ratio · cas_amount
sharpen_mode डिफ़ॉल्ट basic

उपयोग की जाने वाली शार्पनिंग विधि।

डिफ़ॉल्ट 1

बेसिक मोड में शार्पनिंग के लिए उपयोग की जाने वाली त्रिज्या।

डिफ़ॉल्ट 1

बेसिक मोड में शार्पनिंग की तीव्रता।

डिफ़ॉल्ट 7

स्मार्ट शार्पनिंग में नॉइज़ के लिए उपयोग की जाने वाली त्रिज्या।

डिफ़ॉल्ट 0.75

किनारों के संरक्षण की मात्रा।

डिफ़ॉल्ट 5

स्मार्ट शार्पनिंग की तीव्रता।

डिफ़ॉल्ट 0.5

स्मार्ट शार्पनिंग का ब्लेंडिंग अनुपात।

डिफ़ॉल्ट 0.8

CAS शार्पनिंग की तीव्रता।

POST /run/post-processing/sharpen?wait=20 कोटेशन → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/post-processing/sharpen?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Post Processing Sharpen के बारे में

`sharpen_mode` basic, smart या cas का उपयोग करके `image_url` को प्रोसेस करता है। Basic मोड में `sharpen_radius` (1 से 15) और `sharpen_alpha` (0.1 से 5) का उपयोग होता है। Smart मोड में `noise_radius`, `preserve_edges`, `smart_sharpen_strength` और `smart_sharpen_ratio` का उपयोग होता है, जबकि CAS में 0 से 1 तक का `cas_amount` उपयोग होता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
प्रोसेसिंग के लिए इमेज URL।
sharpen_modeवैकल्पिक
प्रकारenum
डिफ़ॉल्टbasic
basicsmartcas
उपयोग की जाने वाली शार्पनिंग विधि।
sharpen_radiusवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट1
1 – 15
बेसिक मोड में शार्पनिंग के लिए उपयोग की जाने वाली त्रिज्या।
sharpen_alphaवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट1
0.1 – 5
बेसिक मोड में शार्पनिंग की तीव्रता।
noise_radiusवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट7
1 – 25
स्मार्ट शार्पनिंग में नॉइज़ के लिए उपयोग की जाने वाली त्रिज्या।
preserve_edgesवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.75
0 – 1
किनारों के संरक्षण की मात्रा।
smart_sharpen_strengthवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट5
0 – 25
स्मार्ट शार्पनिंग की तीव्रता।
smart_sharpen_ratioवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.5
0 – 1
स्मार्ट शार्पनिंग का ब्लेंडिंग अनुपात।
cas_amountवैकल्पिक
प्रकारnumber
डिफ़ॉल्ट0.8
0 – 1
CAS शार्पनिंग की तीव्रता।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "post-processing/sharpen",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
images
array of object {url, content_type, file_name, file_size, width, height}शार्पनिंग लागू करने के बाद की इमेज।

और मॉडल: इमेज एडिटिंग

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/post-processing/sharpen.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt